﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="演示.aspx.cs" Inherits="jQuery_validate.演示" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>jQuery_validate校验</title>
    <script src="Script/jquery-1.4.1.min.js" type="text/javascript"></script>
    <script src="Script/jquery.validate.min.js" type="text/javascript"></script>
    <style type="text/css">
        .left50
        {
            margin-left: 50px;
        }
        .left80
        {
            margin-left: 120px;
        }
        .left10
        {
            margin-left: 10px;
        }
    </style>
    <script type="text/javascript">

        $(document).ready(function () {
            $("#form1").validate({
                rules: {
                    zhanghu: { required: true, maxlength: 10 },
                    mima1: { required: true },
                    mima2: { required: true, equalTo: "mima1" },
                    youxiang: { required: true, email: true },
                    Id: {required:true,isIdCardNo:true}  //使用自定义方法 
                },
                messages: {}
            });
            jQuery.extend(jQuery.validator.messages, {  //扩展messages提示信息
                required: "必填字段",
                remote: "请修正该字段",
                email: "请输入正确格式的电子邮件",
                url: "请输入合法的网址",
                date: "请输入合法的日期",
                dateISO: "请输入合法的日期 (ISO).",
                number: "请输入合法的数字",
                digits: "只能输入整数",
                creditcard: "请输入合法的信用卡号",
                equalTo: "请再次输入相同的值",
                accept: "请输入拥有合法后缀名的字符串",
                maxlength: jQuery.validator.format("请输入一个 长度最多是 {0} 的字符串"),
                minlength: jQuery.validator.format("请输入一个 长度最少是 {0} 的字符串"),
                rangelength: jQuery.validator.format("请输入 一个长度介于 {0} 和 {1} 之间的字符串"),
                range: jQuery.validator.format("请输入一个介于 {0} 和 {1} 之间的值"),
                max: jQuery.validator.format("请输入一个最大为{0} 的值"),
                min: jQuery.validator.format("请输入一个最小为{0} 的值")
            });
            // 身份证号码验证（加强验证）  //扩展自定义方法
            jQuery.validator.addMethod("isIdCardNo", function (value, element) {
                return this.optional(element) || /^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$/.test(value) || /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[A-Z])$/.test(value);
            }, "请正确输入您的身份证号码");
        })
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        账户：<asp:TextBox ID="zhanghu" runat="server" CssClass="left50"></asp:TextBox><br />
        密码：<asp:TextBox ID="mima1" runat="server" CssClass="left50"></asp:TextBox><br />
        重复密码：<asp:TextBox ID="mima2" runat="server" CssClass="left10"></asp:TextBox><br />
        邮箱：<asp:TextBox ID="youxiang" runat="server" CssClass="left50"></asp:TextBox><br />
        身份证：<asp:TextBox ID="Id" runat="server" CssClass="left50"></asp:TextBox><br />
        <br />
        <asp:Button ID="submit" runat="server" Text="注册" CssClass="left80" />
        <asp:Button ID="reset" runat="server" Text="重置" CssClass="left10" />
    </div>
    </form>
</body>
</html>
