﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="验证.aspx.cs" Inherits="jQuery_validate.验证" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>***网上例子***</title>
    <style type="text/css">
        .span9
        {
            width: 245px;
            padding-right: 10px;
            font-size: 14px;
            color: #505050;
            line-height: 33px;
            height: 33px;
            display: inline-block;
            text-align: right;
        }
        .span9 b
        {
            font-weight: normal;
            font-size: 12px;
            position: relative;
            top: 3px;
            color: #f00;
            right: 5px;
        }
        .input1
        {
            height: 31px;
            width: 230px;
            border: 1px solid #DBDBDB;
            padding: 0;
        }
        .input2
        {
            width: 340px;
        }
        .span10
        {
            line-height: 33px;
            height: 33px;
            color: #A7A7A7;
            padding-left: 10px;
        }
        .div10 textarea
        {
            padding: 5px;
            width: 330px;
            height: 80px;
            resize: none;
        }
        label.error
        {
            display: inline-block;
            margin-left: 5px;
            padding: 5px 0 5px 20px;
            color: #F00;
            font-size: 12px;
            line-height: 12px;
            background: url(../images1/validate_bg.gif) 0 3px no-repeat;
            vertical-align: middle;
            color: Red;
            margin-top: 7px;
        }
        label.success
        {
            background: url(../images1/validate_bg.gif) 0 -22px no-repeat;
            vertical-align: middle;
            margin-top: 7px;
        }
        .ipt_txt
        {
            width: 150px;
            border: 1px solid #B1C3D9;
            background-color: #FBFBFB;
        }
        input.error
        {
            background-color: #FBE2E2;
        }
    </style>
    <script src="Script/jquery-1.4.1.min.js" type="text/javascript"></script>
    <script src="Script/jquery.validate.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        //页面加载时调用  
        $ (function () {
            $('#cerform').validate({
                rules: {
                    txtUserName: {
                        required: true,
                        maxlength: 8,
                        minlength: 4
                    },
                    txtUserCardID: {
                        required: true,
                        maxlength: 18,
                        minlength: 18,
                        isIdCardNo: "#txtUserCardID"
                    },
                    txtUserPwd: {
                        required: true,
                        maxlength: 18,
                        minlength: 6,
                        notEqualTo: "#txtUserPwd"
                    },
                    txtRUserPwd: {
                        required: true,
                        equalTo: "#txtUserPwd"
                    },
                    txtAddress: {
                        required: true,
                        maxlength: 50
                    },
                    txtAreaContent: {
                        required: true,
                        maxlength: 300
                    },
                    txtUrl: {
                        required: true,
                        url: true
                    },
                    txtPhone: {
                        required: true,
                        minlength: 7,
                        maxlength: 13,
                        isTell: true,
                        isMobile: "#txtPhone"
                    },
                    txtZipCode: {
                        required: true,
                        minlength: 6,
                        maxlength: 6,
                        isNum: true
                    },
                    txtEmail: {
                        required: true,
                        email: true,
                        maxlength: 40
                    }
                },
                messages: {
                    txtUserName: {
                        required: "用户名不能为空！",
                        maxlength: "最长为18个字符！",
                        minlength: "最短为4个字符！",
                        remote: "该用户名已被占用！"
                    },
                    txtUserCardID: {
                        required: "身份证不能为空！",
                        maxlength: "身份证为18个字符！",
                        minlength: "身份证为18个字符！"
                    },
                    txtUserPwd: {
                        required: "密码不能为空！",
                        maxlength: "最长为18个字符！",
                        minlength: "最短为6个字符！",
                        notEqualTo: "用户名和密码不能相同！"
                    },
                    txtRUserPwd: {
                        required: "密码不能为空！",
                        equalTo: "两次输入密码不相同！"
                    },
                    txtAddress: {
                        required: "地址不能为空！",
                        maxlength: "最长50个字符！"
                    },
                    txtAreaContent: {
                        required: "不能为空！",
                        maxlength: "最长300个字符！"
                    },
                    txtUrl: {
                        required: "网址不能为空！",
                        url: "请填写正确的网址！"
                    },
                    txtPhone: {
                        required: "电话不能为空！",
                        minlength: "最少7个数字！",
                        maxlength: "最长13个数字！",
                        isTell: "电话格式不正确！"
                    },
                    txtZipCode: {
                        required: "邮编不能为空！",
                        minlength: "邮编为6个数字！",
                        maxlength: "邮编为6个数字！",
                        isNum: "请输入数字！"
                    },
                    txtEmail: {
                        required: "邮箱不能为空！",
                        email: "邮箱格式不正确！",
                        maxlength: "最长40个字符！"
                    }
                },
                errorPlacement: function (error, element) {
                    error.appendTo(element.parent());
                },
                submitHandler: function (form) {
                    form.submit();
                },
                errorClass: "error",
                focusCleanup: true, //被验证的元素获得焦点时移除错误信息  
                success: function (label) {
                    label.html("<span style=\"color:green\">填写正确！</span>").addClass("success");
                }
            });
            //所有使用“.ipt_txt”样式的文本框加上效果，获得焦点文本框变成淡黄色  
            $(".ipt_txt").focus(function () {
                $(this).css("background-color", "#FFFFCC").blur(function () {
                    $(this).css("background-color", "#FBFBFB");
                });
            });           
        });  
    </script>
</head>
<body>
    <%--  网上的例子 附原址：http://blog.sina.com.cn/s/blog_608475eb0100h3h1.html--%>
    <form id="cerform" runat="server" >
    <div>
        <span class="span9"><b>*</b>用户真实姓名</span><input id="txtUserName" runat="server" class="input1 ipt_txt"
            type="text" />
        <span class="span10">请输入您的真实姓名</span></div>
    <div class="clear height20">
    </div>
    <div>
        <span class="span9"><b>*</b>身份证号码</span><input id="txtUserCardID" runat="server"
            class="input1 input2 ipt_txt" type="text" />
        <span class="span10">请输入您的身份证号码</span></div>
    <div class="clear height20">
    </div>
    <div>
        <span class="span9"><b>*</b>认证说明</span><textarea id="txtAreaContent" runat="server"></textarea>
        <span class="span10">请完善认证说明，成功认证后，将出现在您的认证说明介绍中</span></div>
    <div class="clear height20">
    </div>
    <div>
        <span class="span9"><b>*</b>联系邮箱</span><input id="txtEmail" class="input1 ipt_txt"
            type="text" runat="server" />
        <span class="span10">请输入您的电子邮箱</span>
    </div>
    <div class="clear height20">
    </div>
    <div>
        <span class="span9"><b>*</b>手机号码</span><input id="txtPhone" class="input1 ipt_txt"
            type="text" runat="server" />
        <span class="span10">请输入能联系上您的手机号码</span></div>
    <div class="clear height20">
    </div>
    <div>
        <span class="span9"></span>
        <input type="submit" class="button_a" value="提交认证" /></div>
    </form>
</body>
</html> 